void Run();
void InitFonts();
void DrawText(int xtp, int ytp, int cn, char *text, int bpp, GPDRAWSURFACE * ptgpds);
int Ticks();

enum
{
     BTN_A = 0,     //       A /             1
     BTN_X = 1,     //       X /             2
     BTN_B = 2,     //       B /             3
     BTN_Y = 3,     //       Y /             4
     BTN_L = 4,     //       L /         5, L1
     BTN_R = 5,     //       R /         6, L2
     BTN_HOME = 6,  //    Home /         7, R1
     BTN_HOLD = 7,  //    Hold /         8, R2
     BTN_HELP1 = 8, //  Help I /        Select
     BTN_HELP2 = 9, // Help II /         Start
     BTN_TACT = 10, //    Tact / L Thumb Stick
     BTN_UP = 11, 
     BTN_DOWN = 12,
     BTN_LEFT = 13,
     BTN_RIGHT = 14,
     // DIAGONALS
     BTN_UP_LEFT = 15,
     BTN_UP_RIGHT = 16,
     BTN_DOWN_LEFT = 17,
     BTN_DOWN_RIGHT = 18
};

#define GP2X_BUTTON_UP			BTN_UP
#define GP2X_BUTTON_DOWN		BTN_DOWN
#define GP2X_BUTTON_LEFT		BTN_LEFT
#define GP2X_BUTTON_RIGHT		BTN_RIGHT
#define GP2X_BUTTON_UPLEFT		BTN_UP_LEFT
#define GP2X_BUTTON_UPRIGHT		BTN_UP_RIGHT
#define GP2X_BUTTON_DOWNLEFT		BTN_DOWN_LEFT
#define GP2X_BUTTON_DOWNRIGHT		BTN_DOWN_RIGHT
#define GP2X_BUTTON_CLICK		BTN_TACT
#define GP2X_BUTTON_A			BTN_A
#define GP2X_BUTTON_B			BTN_B
#define GP2X_BUTTON_X			BTN_X
#define GP2X_BUTTON_Y			BTN_Y
#define GP2X_BUTTON_L			BTN_L
#define GP2X_BUTTON_R			BTN_R
#define GP2X_BUTTON_START		BTN_HOME
#define GP2X_BUTTON_SELECT		BTN_HELP2